> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get AuditLog by ID

GET https://{tenant_name}.benchling.com/api/v3/audit-log/{audit_log_id}

Get a single AuditLog by ID.

Reference: https://docs.benchling.com/docs/api/benchling-api/audit-log/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `audit_log_id` (string, required) — ID of the AuditLog.

### Query parameters

- `returning` (string, optional) — Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
- `omit` (string, optional) — Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

### Headers

- `EARLY-ACCESS` (string, optional) — Set to true to access beta operations via /api/v3.

## Response

### 200

OK

- `__typename` (string, optional)
- `action` (string, optional)
- `chatSessionId` (string, optional, nullable)
- `clientId` (string, optional, nullable)
- `clientName` (string, optional, nullable)
- `createdAt` (string, optional)
- `delegateUser` (string, optional, nullable)
- `electronicallySigned` (string, optional)
- `eventDescription` (string, optional)
- `id` (string, optional)
- `ipAddress` (string, optional)
- `item` (string, optional)
- `itemDeveloperId` (string, optional)
- `itemId` (string, optional, nullable)
- `itemType` (string, optional)
- `newValue` (string, optional, nullable)
- `oldValue` (string, optional, nullable)
- `parentItem1` (string, optional, nullable)
- `parentItem1DeveloperId` (string, optional, nullable)
- `parentItem1Type` (string, optional, nullable)
- `parentItem2` (string, optional, nullable)
- `parentItem2DeveloperId` (string, optional, nullable)
- `parentItem2Type` (string, optional, nullable)
- `parentItem3` (string, optional, nullable)
- `parentItem3DeveloperId` (string, optional, nullable)
- `parentItem3Type` (string, optional, nullable)
- `reasonCode` (string, optional, nullable)
- `reasonComment` (string, optional, nullable)
- `transactionId` (string, optional)
- `userHandle` (string, optional)
- `userId` (string, optional)
- `userName` (string, optional)

## Errors

### 400 Audit Log Get Request Bad Request Error

Bad Request

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 403 Audit Log Get Request Forbidden Error

Forbidden

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 404 Audit Log Get Request Not Found Error

Not Found

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 429 Audit Log Get Request Too Many Requests Error

Too Many Requests

- `detail` (TooManyRequestsErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)
- `violated-policies` (list of enum, optional) — The budget policies that rejected the request, in canonical order: `user`, `integration`, then `tenant`.
  - Allowed values: `user`, `integration`, `tenant`

### 500 Audit Log Get Request Internal Server Error

Internal Server Error

- `detail` (InternalServerErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `errorId` (string, optional)

## Types

### GeneralErrorDetail

### TooManyRequestsErrorBodyDetail

### InternalServerErrorBodyDetail

## Examples

**Response**

```json
{
  "__typename": "__typename",
  "action": "action",
  "chatSessionId": "chatSessionId",
  "clientId": "clientId",
  "clientName": "clientName",
  "createdAt": "createdAt",
  "delegateUser": "delegateUser",
  "electronicallySigned": "electronicallySigned",
  "eventDescription": "eventDescription",
  "id": "id",
  "ipAddress": "ipAddress",
  "item": "item",
  "itemDeveloperId": "itemDeveloperId",
  "itemId": "itemId",
  "itemType": "itemType",
  "newValue": "newValue",
  "oldValue": "oldValue",
  "parentItem1": "parentItem1",
  "parentItem1DeveloperId": "parentItem1DeveloperId",
  "parentItem1Type": "parentItem1Type",
  "parentItem2": "parentItem2",
  "parentItem2DeveloperId": "parentItem2DeveloperId",
  "parentItem2Type": "parentItem2Type",
  "parentItem3": "parentItem3",
  "parentItem3DeveloperId": "parentItem3DeveloperId",
  "parentItem3Type": "parentItem3Type",
  "reasonCode": "reasonCode",
  "reasonComment": "reasonComment",
  "transactionId": "transactionId",
  "userHandle": "userHandle",
  "userId": "userId",
  "userName": "userName"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v3/audit-log/audit_log_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v3/audit-log/audit_log_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```